Bug 10825 - Sync NDR.pm with latest Wireshark developments
Sync NDR.pm with latest Wireshark developments
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: PIDL and libndr
unspecified
All All
: P5 normal
: ---
Assigned To: Samba QA Contact
Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-19 22:29 UTC by Michael Mann
Modified: 2019-04-01 21:21 UTC (History)
1 user (show)

See Also:


Attachments
Patch of latest Wireshark developments (38.19 KB, patch)
2014-09-19 22:29 UTC, Michael Mann
mmann78: review?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mann 2014-09-19 22:29:52 UTC
Created attachment 10297 [details]
Patch of latest Wireshark developments

Attached is a patch that syncs NDR.pm with the latest Wireshark developments.  It's compatible with the 1.12 release and allows the PIDL to generate dissector files that compile.

A few sections may be a little hacky, but with it all current .idl files in the Wireshark repository generate dissectors that compile without manual intervention.
Comment 1 Michael Mann 2014-09-19 22:32:37 UTC
I believe this will also fix bug 10291.
Comment 2 Douglas Bagnall 2019-03-05 22:02:27 UTC
The changes in the patch appear to have been merged in several separate commits.

(e.g. 0ee5c9997e6c91f5fdffa36b9abf72883f67545d)
Comment 3 Andrew Bartlett 2019-04-01 21:21:14 UTC
Moving PIDL bugs into Samba as we do not release PIDL separately.